summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Dolbec <dolsen@gentoo.org>2017-08-17 02:05:38 +0000
committerBrian Dolbec <dolsen@gentoo.org>2017-08-17 02:11:52 +0000
commit6a8b37fbfcb617f63e53c21ff8af429aa4624020 (patch)
tree36d1ff45072613bc03d74589e8ba9624153a44b6 /metadata
parentmetadata/repoman: Whitespace cleanup (diff)
downloadgentoo-6a8b37fbfcb617f63e53c21ff8af429aa4624020.tar.gz
gentoo-6a8b37fbfcb617f63e53c21ff8af429aa4624020.tar.bz2
gentoo-6a8b37fbfcb617f63e53c21ff8af429aa4624020.zip
metdata/repoman/*: Add current API version and minimum repoman version info
With teh version field, repoman can check that it meets the API compatibility requirements of the metadata/repoman file(s). The minimum repoman_version is output in the repoman error message if the currently installed repoman is not capable of handling all the file & data features.
Diffstat (limited to 'metadata')
-rw-r--r--metadata/repoman/linechecks.yaml7
-rw-r--r--metadata/repoman/qa_data.yaml5
-rw-r--r--metadata/repoman/repository.yaml5
3 files changed, 16 insertions, 1 deletions
diff --git a/metadata/repoman/linechecks.yaml b/metadata/repoman/linechecks.yaml
index 769cb9402c3..4f3e6468a5c 100644
--- a/metadata/repoman/linechecks.yaml
+++ b/metadata/repoman/linechecks.yaml
@@ -10,7 +10,12 @@
# but support for third party module will be limited to the plugin API
#
-errors:
+# Repoman API version (do not edit)
+version: 1
+# minimum
+repoman_version: 2.3.3
+
+errors:
COPYRIGHT_ERROR: 'Invalid Gentoo Copyright on line: %d'
LICENSE_ERROR: 'Invalid Gentoo/GPL License on line: %d'
ID_HEADER_ERROR: 'Stale CVS header on line: %d'
diff --git a/metadata/repoman/qa_data.yaml b/metadata/repoman/qa_data.yaml
index f9950c580cb..c39aec9dda4 100644
--- a/metadata/repoman/qa_data.yaml
+++ b/metadata/repoman/qa_data.yaml
@@ -9,6 +9,11 @@
# but support for third party module will be limited to the plugin API
#
+# Repoman API version (do not edit)
+version: 1
+# minimum
+repoman_version: 2.3.3
+
allowed_filename_chars: "a-zA-Z0-9._-+:"
max_description_length: 80
diff --git a/metadata/repoman/repository.yaml b/metadata/repoman/repository.yaml
index fab9079f808..9352604243c 100644
--- a/metadata/repoman/repository.yaml
+++ b/metadata/repoman/repository.yaml
@@ -10,6 +10,11 @@
# but support for third party module will be limited to the plugin API
#
+# Repoman API version (do not edit)
+version: 1
+# minimum
+repoman_version: 2.3.3
+
# NOTE: for non-gentoo repos, any custom modules added will need their
# module names to the modules list in order for them to run.